Imagick::getNumberImages
Imagick::getPackageName
The Imagick class
PHP Manual

# Imagick::getOption

(PECL imagick 2.0.0)

Imagick::getOption — Returns a value associated with the specified key

### Description

string Imagick::getOption ( string `$key` )
Warning

This function is currently not documented; only its argument list is available.

Returns a value associated within the object for the specified key.

### Parameters

`key`

  The name of the option

### Return Values

Returns a value associated with a wand and the specified key. Throw an ImagickException on error.

Imagick::getNumberImages
Imagick::getPackageName
The Imagick class
PHP Manual